

function RemoverItemResumoPagamento(idCardResumoPagamentoTarja)
{
    const idItem = idCardResumoPagamentoTarja.substring(idCardResumoPagamentoTarja.lastIndexOf('_') + 1);
    var jsonData = JSON.stringify(idItem);

    $.ajax({
        async: true,
        type: "POST",
        url: content + "Home/RemoverItemResumoPagamento",
        data: {
            jsonId: jsonData
        }
    }).done(
        function (data) {
            if (data.mensagem == "OK") {
                window.location.reload();
                return;
            } else {
                alert('ERRO!')
            }
        }
    )
}

function VisualizarResumoPagamentoTarja(idCardResumoPagamentoTarja)
{

    const idItem = idCardResumoPagamentoTarja.substring(idCardResumoPagamentoTarja.lastIndexOf('_') + 1);
    var jsonData = JSON.stringify(idItem);

    $.ajax({
        async: true,
        type: "POST",
        url: content + "Home/RedirecionarVisualizarResumoPagamento",
        data: {
            jsonId: jsonData
        },
        success: function (data) {
            if (data.mensagem == "OK") {
                window.location.href = content + "Home/VisualizarResumoPagamento";
                return;
            } else {
                alert('ERRO!')
            }
        }
    })

}


function EncaminharParaPagamento() {
    var botaoLoading = document.getElementById("buttonModalLoading");
    botaoLoading.click();

    $.ajax({
        async: true,
        type: "POST",
        url: content + "Home/EmitirListaDeDaems",
        contentType: 'application/json; charset=utf-8',
    }).done(
        function (data) {
            if (data.mensagem == "OK") {
                window.location.href = content + "Home/RealizarPagamento";
                return;
            } else {
                alert('ERRO!')
            }
        }
    )
}
